<?php
////////////////////
 // 由CodeGenerator创建。
 // Copyright (C) gwang (wanggangzero@qq.com), Loyalsoft@sjz Inc
 // author： gwang 
 // 日期: 2024-09-12 11:05:50
////////////////////


/**
 * Static Model globalsettings 全局参数
 */
class sm_globalsettings
{

    /**
    * @var string demo  
    */
    public $key;

    /**
    * @var string 升级武器需要的图纸  
    */
    public $equipLeveUpTuzhi;

    /**
    * @var string [废弃]  
    */
    public $equipQualUnlockSkillId;

    /**
    * @var string [废弃]装备品阶+1+2的记录  
    */
    public $equipQualAdd;

    /**
    * @var string 有限地图战场中小木箱刷新时间间隔和数量(50,3)(50秒刷新3个小木箱)  
    */
    public $ClosedMapSmallBoxFreq;

    /**
    * @var int 游戏内玩家账号的最高等级限制  
    */
    public $Game_MaxPlayerLevel;

    /**
    * @var string 开放地图战场中小木箱刷新时间间隔和数量(50,3)(50秒刷新3个小木箱)  
    */
    public $OpenMapSmallBoxFreq;

    /**
    * @var int 默认背包最大数量  
    */
    public $Item_Packet_MaxNum;

    /**
    * @var int 体力恢复的最大值(购买或者邮件领取的可以超出,超出后体力恢复失效)  
    */
    public $tili_RecoverrMax;

    /**
    * @var string 充值购买任一商品,即可获得如下奖励,仅此一次哦~暂时废弃  
    */
    public $FirstRechargePrice;

    /**
    * @var string 装备降品不同部位的通用道具  
    */
    public $EquipFallQualCommonItem;

    /**
    * @var string 【废弃】当前客户端版本号  
    */
    public $clientVer;

    /**
    * @var int 支付模块是否开放  
    */
    public $Game_Pay_Open;

    /**
    * @var int 更新开始时间戳  
    */
    public $updatingBeginTs;

    /**
    * @var int 更新结束时间戳  
    */
    public $updatingEndTs;

    /**
    * @var int 恢复一点体力所需时间(秒)  
    */
    public $tili_RecoverTS;

    /**
    * @var int 跑马灯获得超武的概率  
    */
    public $GetSuperSkillProbability;

    /**
    * @var string 装备合成消耗金币(暂时), 白->绿: 200, 绿->蓝:600, 蓝->紫: 1200  
    */
    public $EquipComposeCostGold;

    /**
    * @var string 每日商城刷新消耗的金币数量  
    */
    public $DailyShopRefreshCostGold;

    /**
    * @var int 每日商城上架个数  
    */
    public $DailyShopShowNum;

    /**
    * @var string 宝石品阶  
    */
    public $GemQualName;

    /**
    * @var string 洗练不同品质宝石消耗数量不同  
    */
    public $XILianGemlNeedXILianStone;

    /**
    * @var string 每日购买体力最大次数  
    */
    public $BuyTili_DailyMaxNum;

    /**
    * @var string   
    */
    public $GuanggaoGetTili;

    /**
    * @var string 每日广告得到体力次数  
    */
    public $GuanggaoGetTili_DailyMaxNum;

    /**
    * @var string 购买体力 60个元宝15个体力  
    */
    public $BuyTiliCost;

    /**
    * @var int 每日扫荡最大次数  
    */
    public $sweepMaxNum;

    /**
    * @var int 扫荡需要体力  
    */
    public $sweep_cost_tili;

    /**
    * @var int 解锁挑战模块所需的关卡id  
    */
    public $unlock_Challenge_need_gateId;

    /**
    * @var int 爬塔(挑战关卡)每日挑战次数  
    */
    public $tower_daily_chanceNum;

    /**
    * @var int 爬塔(挑战关卡)每日刷新(技能)次数  
    */
    public $tower_daily_refreshChanceNum;

    /**
    * @var string 爬塔(挑战关卡)刷新(技能)花费(货币类型:数量)(1:金币,2:元宝)  
    */
    public $tower_refreshCost;

    /**
    * @var int 通关第一关解锁7日活动  
    */
    public $GateUnlock_7DayActive;

    /**
    * @var int 主线剧情第一关关卡ID  
    */
    public $FirstGateId;

    /**
    * @var int 主线排行榜前端展示的前X名排名  
    */
    public $Rank_MainGateIndex_ShowRank;

    /**
    * @var int 主线排行榜上榜排名数,之外的不在统计  
    */
    public $Rank_MainGateIndex_OnListRank;

    /**
    * @var int 战力排行榜前端展示的前X名排名  
    */
    public $Rank_FightPower_ShowRank;

    /**
    * @var int 战力排行榜上榜排名,之外不在统计  
    */
    public $Rank_FightPower_OnListRank;

    /**
    * @var string 主线排行榜说明信息  
    */
    public $Rank_MainGateIndex_Explain;

    /**
    * @var string 战力排行榜说明信息  
    */
    public $Rank_FightPower_Explain;

    /**
    * @var int 玩家初始金币  
    */
    public $Init_Player_gold;

    /**
    * @var int 玩家初始钻石  
    */
    public $Init_Player_cash;

    /**
    * @var string 复活花费元宝数量(第一次,第二次,第三次,第四次)  
    */
    public $Relive_cost;

    /**
    * @var int 购买特权月卡后体力上限增加  
    */
    public $tili_RecoverrMax_Add_HonourCard;

    /**
    * @var int 初始账号默认英雄id  
    */
    public $CreateUserGame_defaultHeroId;

    /**
    * @var int 战斗三选一技能刷新按钮出现的次数  
    */
    public $skillRefreshNum_Limit;

    /**
    * @var int 战斗三选一技能看广告刷新的次数  
    */
    public $skillRefreshNum_Limit_Guanggao;

    /**
    * @var int 主线任务起始任务id  
    */
    public $FirstMainTaskId;

    /**
    * @var int 法术书技能封印按钮可用条件(已解锁技能总数达到X)  
    */
    public $Skill_LockBtn_EnableCount;

    /**
    * @var string 花费XX元宝将技能封印上限提升至X个  
    */
    public $Skill_LockBtn_BuyCount_Cost;

    /**
    * @var int 技能封印初始可用数量  
    */
    public $Skill_LockBtn_InitCount;

    /**
    * @var string 首充的描述信息  
    */
    public $FirstRechargeDesc;

    /**
    * @var string 改名->花费  
    */
    public $Rename_Cost;

    /**
    * @var int 改名->冷却时间  
    */
    public $Rename_Cooldown;

    /**
    * @var string 转盘抽奖抽一次消耗  
    */
    public $activity_lottery_tree_one_cost;

    /**
    * @var string 转盘抽奖抽十次消耗  
    */
    public $activity_lottery_tree_ten_cost;

    /**
    * @var int 200元宝兑换转盘抽奖一个抽奖券  
    */
    public $activity_lottery_oneCost_cash;

    /**
    * @var int 一共可以抽奖次数  
    */
    public $activity_lottery_allNum;

}

